Xycons Update - Modul Framework

Thema wurde von stegplatten-wellplatten.com, 22. Juni 2018 erstellt.

  1. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Hallo,

    ich wollte meinen Shop von 3.8.1.0 auf 3.10 updaten und vorab meine beiden Module von Xycons, die ebenfalls für 3.10 zur Verfügung stehen, updaten. Das wird mein 1. Versuch, ein Modul upzudaten!

    Jetzt bin ich gerade etwas verwirrt, ob ich auch das Modul Framework updaten muss. Leider weiß ich auch gar nicht so genau, was das überhaupt ist.
    In meiner Server-Info steht, dass ich PHP 7.1.11-nmm1 und IonCube v10.1.0 habe. Ist das damit gemeint?
    Muss ich dann nochwas updaten, oder nur die Module??

    In meinem Downloadbereich von Xycons sieht es fast so aus, als müsste ich die auch noch installieren? (Habe das mal als Screen angehängt)

    VG
    Katja
     

    Anhänge:

  2. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.363
    Danke erhalten:
    5.907
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    Da steht eindeutig, bisher NUR Version 3.8 untersützt. Wenn Shop Updatest ohne das er das für 3.10 freigegeben hat ist das Dein EIGENES Risiko, falls was nicht funktioniert.

    Framework ist das DrumRum die Basis für alle Module. Darauf bauen die auf. Gemeinsamm genutzte Dinge usw.

    Also warten bis 3.10 von Holger freigegeben wurde !
     
  3. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Bei Versionsbereich steht doch bei den Modulen 3.8 - 3.10 ?? Also sind die doch schon mal freigegeben, oder?

    Und bei der Modulumgebung bin ich mir ja gar nicht sicher, ob ich das brauche - also ob das mit dem PHP 7.1 und IonCube 10.x zusammenhägt ...
     
  4. Anonymous

    Anonymous Erfahrener Benutzer

    Registriert seit:
    27. Mai 2016
    Beiträge:
    426
    Danke erhalten:
    94
    Danke vergeben:
    96
    Frag doch einfach bei Xycons/Holger Schrörs nach per E-Mail oder telefon wenn du dir nicht sicher bist.
    Da arbeiten tatsächlich freundliche Menschen die auch wohl hilfsbereit sind.
     
  5. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.363
    Danke erhalten:
    5.907
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    Die Module hat er wohl schon aber das Framework oben noch nicht. Aber einfach Holger fragen.
    Wichtig ist: Framework und Module müssen für die Shopversion freigegeben sein.
     
  6. Christian Mueller

    Christian Mueller Beta-Held

    Registriert seit:
    4. Juli 2011
    Beiträge:
    2.995
    Danke erhalten:
    597
    Danke vergeben:
    213
    @HolgerNils (xycons.de) hätte die Module wohl nicht freigegeben, wenn das Framework dafür nicht passen würde.
     
  7. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.363
    Danke erhalten:
    5.907
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    Dann hat er wohl im Kundenbereich bei downloads vergessen das 3.10 dazu zu schreiben. :)

    Also da das nu klar ist

    Framework download machen, Module download machen.
    In jedem ist ne Schritt für Schritt Anleitung bei :)
     
  8. Wilken (Gambio)

    Wilken (Gambio) Administrator
    Mitarbeiter

    Registriert seit:
    7. November 2012
    Beiträge:
    17.372
    Danke erhalten:
    6.628
    Danke vergeben:
    2.004
    Hatte er. Hab ihn schon gepingt, er sagt es ist jetzt da.
     
  9. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Aha, ok, dann bin ich ja schonmal einen Schritt weiter.

    Aber nachfragen muss ich trotzdem nochmal: wenn im Downloadbereich steht:
    [​IMG] Modulumgebung für Shopversion 3.8.x.x bis 3.10.x.x (V3.10.01)
    und ich bisher die Shopversion 3.8 genutzt habe, werde ich die richtige Modulumgebung / Framework doch schon haben -> muss es also nicht installieren, oder?

    Wie kann ich überprüfen, welche Modulumgebung ich z. Zt. habe??
     
  10. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.363
    Danke erhalten:
    5.907
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    frag am besten einfach Holger per mail, dann hast schneller eine Antwort als hier :)
    es kann eigentlich nicht schaden das framework zu updaten wenns schon das selbe war wird ja nur überschrieben und nix ändrt sich :)
     
  11. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Das ist doch eine Antwort, mit der ich was anfangen kann ;) Ich habe Holger schon so oft wegen irgendwelchen Problemen angeschrieben - ich möchte ja auch mal so tun, als ob ich auch selber was könnte ... :rolleyes:
     
  12. Christian Mueller

    Christian Mueller Beta-Held

    Registriert seit:
    4. Juli 2011
    Beiträge:
    2.995
    Danke erhalten:
    597
    Danke vergeben:
    213
    Du gehst im Shop auf "Ihr Xycons Kundenkonto" und scrollst runter bis "Ihre System-Eckdaten". Da steht dann die Framework-Version drin. Wenn Du Module installiert hast, für die das Framework nicht funktioniert, wird das wohl auch angezeigt im jeweiligen Modul-Konfigurationsmenü.
     
  13. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Super, vielen Dank!

    Da steht bei Framework 3.8.2 - dann muss ich das ja gar nicht installieren, richtig?
    Also nur Modul-Update und dann Shop-Update.
     
  14. Christian Mueller

    Christian Mueller Beta-Held

    Registriert seit:
    4. Juli 2011
    Beiträge:
    2.995
    Danke erhalten:
    597
    Danke vergeben:
    213
    Wenn es keine Fehlermeldungen gibt, dann nicht. Ist aber auch kein großer Aufwand, das da eben mit reinzukopieren.
     
  15. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Hab leider schon wieder ein Problem ... :(
    In der Installationsanleitung steht:

     Öffnen Sie das zum (neuen) Modul gehörende „SETUP“ im Menüpunkt „Xycons-Module“
     Bei Neuinstallation: Betätigen Sie die Schaltfläche: „JETZT INITIALISIEREN“
     Bei Aktualisierungen: Betätigen Sie die Schaltfläche: „Aktualisierung durchführen“
     Betätigen Sie ggf. die Schaltfläche „Lizenz anfordern / prüfen“.


    Bei mir steht da aber nirgendwo "Aktualisierung durchführen" oder "Lizenz prüfen" ...

    Was habe ich denn jetzt schon wieder falsch gemacht ??
     
  16. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.363
    Danke erhalten:
    5.907
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    falsch hochgeladen? Wurden Dateien überschrieben?
     
  17. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Hmmm, es wurde eigentlich alles überschrieben, den Cache habe ich auch in der angegebenen Reihenfolge geleert.
    Aber ich habe das Gefühl, dass die Dateien nicht "angekommen" sind. Beim 2. Modul hat es auch nicht funktioniert, also es wird nichts angezeit.

    Wenn ich auf das Modul klicke und dann "Xycons Updates anzeigen", steht da folgendes:

    Versionshistorie:
    v4.00 Version für Shop-Version 3.2.x.x
    v4.01 Mögliches WARNING wenn das Modul deaktiviert ist beim Speichern von Kategorien
    v4.02 Version für Shop-Version 3.4.x.x
    v4.03 Version für Shop-Version 3.6.x.x
    v4.04 Version für IonCube 5, 6 und 10
    v5.00 Version für 3.8.x.x / GXModules
    v5.01 Version für 3.10.x.x / PHP 7.2
    Ihre Version: 5.00

    Das sieht so aus, als ob das Update nicht funktioniert hat :(


    Aber ich weiß nicht, was ich falsch gemacht habe. Ich bin in Filezilla auf den Shop gegangen und habe den Pfad GXModules/Xycons/ aufgerufen.
    Die runtergeladene Update-Datei habe ich entpackt, dort auch den Pfad \Dateien\GXModules\Xycons\ geöffnet und dann den Ordner M0062 komplett hochgeladen.
    Hätte ich schon vorher einen Ordner auswählen müssen? Also ich meine z.B. direkt nach Dateien den Ordner GXModules??

     
  18. Dennis (Print-Weilburg.de)

    Dennis (Print-Weilburg.de) G-WARD 2013/14/15/16

    Registriert seit:
    22. September 2011
    Beiträge:
    30.363
    Danke erhalten:
    5.907
    Danke vergeben:
    1.053
    Beruf:
    Mann für alles :)
    Ort:
    Weilburg
    normal is es so das man den inhalt vom Ordner Dateien nimmt (also die Ordner und dateien darin) und in den Shop root hochläd. Dann passen die Pfade eigentlich
    Ordner Dateien = Shop Root (Hauptordner).
     
  19. stegplatten-wellplatten.com

    stegplatten-wellplatten.com Erfahrener Benutzer

    Registriert seit:
    12. Juli 2017
    Beiträge:
    205
    Danke erhalten:
    1
    Danke vergeben:
    36
    Ich habe zwar keine Ahnung, was Shop Root sein sollte, aber es hat jetzt geklappt. ;)
    Ich musste tatsächlich den Inhalt vom Ordner Dateien hochladen!
    Jetzt läuft alles. Bin ganz stolz auf mich :D

    Vielen Dank!
     
  20. Christian Mueller

    Christian Mueller Beta-Held

    Registriert seit:
    4. Juli 2011
    Beiträge:
    2.995
    Danke erhalten:
    597
    Danke vergeben:
    213
    Dennis hat es eigentlich ganz klar geschrieben:

    Das ist einer der Grundbegriffe, wenn man sich mit Webseiten beschäftigt. Egal ob das ein Webshop ist oder ein Blog oder eine statische Webseite.

    Sowas sollte - nein - muss man wissen.

    https://de.wikipedia.org/wiki/Stammverzeichnis

    Das Root-Verzeichnis deines Shops ist ein anderes als das des Servers.
    Es ist das Verzeichnis in dem alle Dateien des Shops liegen.